#gw 2.8.11 doesn't build otherwise:
%define Werror_cflags	%nil

%define oname		wxGTK

%define major		0
%define api		2.8

%define	libnameu	%mklibname wxgtku %{api} %{major}
%define	libnameudev	%mklibname -d wxgtku %{api}
%define libglu		%mklibname wxgtkugl %{api} %{major}

Summary:	GTK+ port of the wxWidgets library
Name:		wxgtk%{api}
Version:	2.8.12
Release:	%mkrel 33
License:	wxWidgets Library Licence
Group:		System/Libraries
URL:		https://www.wxwidgets.org/
Source0:	https://prdownloads.sourceforge.net/wxwindows/%{oname}-%{version}.tar.bz2
#gw security patch for bundled expat which we don't use:
Patch2:		wxGTK-2.8.10-CVE-2009-XXXX.diff
Patch3:		wxgtk2.8-2.8.11-fix-linking.patch
Patch8:		wxWidgets-2.7.0-multiarch-includes.patch
#gw security patch for bundled expat which we don't use:
Patch9:		wxGTK-2.8.8-CVE-2009-3560.diff
# originally from Gentoo
Patch10:	wxGTK-2.8.12-collision.patch
# backported from https://github.com/wxWidgets/wxWidgets/commit/1780a38b7bc9a9c04d33775a3176fe8516465f50
Patch11:	wxGTK-2.8.12-char.patch
# From Fedora
Patch12:	wxGTK-2.8.12-abicheck.patch
Patch13:	wxGTK-2.8.12-fix-building-with-gcc14.patch
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(zlib)

%description
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%package -n %{libnameu}
Group:		System/Libraries
Summary:	Base shared library part of wxGTK - Unicode enabled
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}wxgtku2.8 < 2.8.12-5

%description -n %{libnameu}
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

This package contains the library needed to run programs dynamically
linked with the unicode enabled version of %{name}.

%package -n %{libnameudev}
Summary:	Header files and development documentation for wxGTK - unicode
Group:		Development/C++
Requires:	%{libnameu} = %{version}-%{release}
Requires:	%{libglu} = %{version}-%{release}
Provides:	libwxgtku-devel = %{version}-%{release}
Provides:	libwxgtku%{api}-devel = %{version}-%{release}
Provides:	wxgtku-devel = %{version}-%{release}
Provides:	wxgtku%{api}-devel = %{version}-%{release}
Provides:	wxgtk%{api}-devel = %{version}-%{release}
Provides:	libwxgtk-devel = %{version}-%{release}
Provides:	libwxgtk%{api}-devel = %{version}-%{release}
Obsoletes:	%{_lib}wxgtk2.8-devel < 2.8.12-8
Requires(post):		update-alternatives
Requires(postun):	update-alternatives

%description -n %{libnameudev}
Header files for the unicode enabled version of wxGTK, the GTK+ port of
the wxWidgets library.

%package  -n %{libglu}
Summary:	GTK+ port of the wxWidgets library, OpenGl add-on - unicode
Group:		System/Libraries
Obsoletes:	%{_lib}wxgtkglu2.8 < 2.8.12-5

%description -n %{libglu}
OpenGl add-on library for the unicode enabled version of wxGTK, the
GTK+ port of the wxWidgets library.

%prep
%setup -qn %{oname}-%{version}
%patch -P 2 -p0 -b .CVE-2009-XXXX
%patch -P 3 -p1 -b .linking
%patch -P 8 -p1 -b .multiarch
%patch -P 9 -p0 -b .CVE-2009-3560
%patch -P 10 -p1 -b .collision
%patch -P 11 -p1 -b .char
%patch -P 12 -p1 -b .abicheck
%patch -P 13 -p1 -b .gcc14

# (fwang) Don't promote LDFLAGS in wx-config
sed -i -e 's/@LDFLAGS@//' -e 's/@WXCONFIG_CXXFLAGS@//' wx-config.in

# fix plugin dir for 64-bit
sed -i -e 's|/lib|/%{_lib}|' src/unix/stdpaths.cpp

find samples demos -name .cvsignore -exec rm {} \;

# to recognize aarch64
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} .
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} src/expat/conftools/

%build
# --disable-optimise prevents our $RPM_OPT_FLAGS being overridden
# (see OPTIMISE in configure).
# this code dereferences type-punned pointers like there's no tomorrow.
CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"

%configure --enable-unicode \
	--without-odbc \
  	--with-opengl \
	--enable-gtk2 \
	--with-gtk \
	--without-debug_flag \
  	--without-debug_info \
	--with-sdl \
  	--with-libpng=sys \
	--with-libjpeg=sys \
	--with-libtiff=sys \
	--with-zlib=sys \
	--with-expat=sys \
	--disable-optimise \
	--enable-calendar \
	--enable-wave \
	--enable-fraction \
	--enable-wxprintfv \
	--enable-xresources \
	--enable-controls \
	--enable-tabdialog \
	--enable-msgdlg \
	--enable-dirdlg \
	--enable-numberdlg \
	--enable-splash \
	--enable-textdlg \
	--enable-graphics_ctx \
	--enable-grid \
	--enable-catch_segvs \
	--enable-mediactrl \
	--enable-dataviewctrl \
	--enable-permissive \
	--disable-rpath

%make_build
# Why isn't this this part of the main build? Need to investigate.
%make_build -C locale allmo
%make_build -C contrib

#gw prepare samples
pushd demos
	make clean
	rm -f makefile* demos.bkl
popd

pushd samples
	make clean
	rm -f makefile* samples.bkl
popd

find demos samples -name Makefile|xargs perl -pi -e 's^CXXC =.*^CXXC=\$(CXX) `wx-config --cflags`^'
find demos samples -name Makefile|xargs perl -pi -e 's^EXTRALIBS =.*^EXTRALIBS=^'
find demos samples -name Makefile|xargs perl -pi -e 's^SAMPLES_RPATH_FLAG =.*^SAMPLES_RPATH_FLAG=^'

%install
%make_install
%make_install -C contrib

# dummy translation file
find %{buildroot} -name "wxmsw.mo" -delete

%find_lang wxstd28

%triggerun -n %{libnameudev} -- %{_lib}wxgtku2.8-devel < 2.8.12-26
%{_sbindir}/update-alternatives \
	--remove wx-config \
	%{_bindir}/wx-config%{api}

%{_sbindir}/update-alternatives \
	--remove wxrc \
	%{_bindir}/wxrc-%{api}

%{_sbindir}/update-alternatives \
	--add-slave wx-config %{_bindir}/wx-config-%{api} \
	%{_bindir}/wxrc wxrc %{_bindir}/wxrc-%{api}

%post -n %{libnameudev}
%{_sbindir}/update-alternatives \
        --install %{_bindir}/wx-config wx-config %{_bindir}/wx-config-%{api} 25 \
	--slave %{_bindir}/wxrc wxrc %{_bindir}/wxrc-%{api}

%postun -n %{libnameudev}
if [ $1 -eq 0 ]; then
%{_sbindir}/update-alternatives \
        --remove wx-config %{_bindir}/wx-config-%{api}
fi

%files -f wxstd28.lang
%doc *.txt

%files -n %{libnameu}
%{_libdir}/libwx_gtk2u_adv-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_aui-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_core-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_html-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_richtext-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_baseu-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_baseu_net-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_baseu_xml-%{api}.so.%{major}{,.*}
# contribs
%{_libdir}/libwx_gtk2u_fl-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_gizmos-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_gizmos_xrc-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_ogl-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_plot-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_qa-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_stc-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_svg-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_xrc-%{api}.so.%{major}{,.*}

%files -n %{libnameudev}
%doc samples/ docs/ demos/
%ghost %{_bindir}/wx-config
%ghost %{_bindir}/wxrc
%{_bindir}/wx-config-%{api}
%{_bindir}/wxrc-%{api}
%{_includedir}/wx-%{api}/
%dir %{_libdir}/wx/
%dir %{_libdir}/wx/include/
%dir %{_libdir}/wx/include/gtk2-unicode-release-%{api}/
%dir %{_libdir}/wx/include/gtk2-unicode-release-%{api}/wx/
%dir %{_libdir}/wx/config
%{_libdir}/wx/config/gtk2-unicode-release-%{api}
%{_libdir}/wx/include/gtk2-unicode-release-%{api}/wx/setup.h
%{_libdir}/libwx_gtk2u_adv-%{api}.so
%{_libdir}/libwx_gtk2u_aui-%{api}.so
%{_libdir}/libwx_gtk2u_core-%{api}.so
%{_libdir}/libwx_gtk2u_html-%{api}.so
%{_libdir}/libwx_gtk2u_richtext-%{api}.so
%{_libdir}/libwx_baseu-%{api}.so
#{_libdir}/libwx_gtk2u_media-%{api}.so
%{_libdir}/libwx_baseu_net-%{api}.so
%{_libdir}/libwx_baseu_xml-%{api}.so
# contribs
%{_libdir}/libwx_gtk2u_fl-%{api}.so
%{_libdir}/libwx_gtk2u_gizmos-%{api}.so
%{_libdir}/libwx_gtk2u_gizmos_xrc-%{api}.so
%{_libdir}/libwx_gtk2u_ogl-%{api}.so
%{_libdir}/libwx_gtk2u_plot-%{api}.so
%{_libdir}/libwx_gtk2u_qa-%{api}.so
%{_libdir}/libwx_gtk2u_stc-%{api}.so
%{_libdir}/libwx_gtk2u_svg-%{api}.so
%{_libdir}/libwx_gtk2u_xrc-%{api}.so
#gl
%{_libdir}/libwx_gtk2u_gl-%{api}.so
%{_datadir}/aclocal/*
%{_datadir}/bakefile/

%files -n %{libglu}
%{_libdir}/libwx_gtk2u_gl-%{api}.so.%{major}{,.*}


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.8.12-33.mga10
+ Revision: 2228147
- Mageia 10 Mass Rebuild

* Tue Sep 24 2024 ns80 <ns80> 2.8.12-32.mga10
+ Revision: 2100960
- fix building with GCC 14

* Mon Dec 12 2022 ns80 <ns80> 2.8.12-31.mga9
+ Revision: 1921152
- rebuild for new libtiff

* Fri Apr 01 2022 umeabot <umeabot> 2.8.12-30.mga9
+ Revision: 1839186
- Mageia 9 Mass Rebuild

* Mon Aug 31 2020 martinw <martinw> 2.8.12-29.mga8
+ Revision: 1620553
- update config.{guess,sub} fix for rpm 4.16.0 and rpm-mageia-setup

* Sat Feb 15 2020 umeabot <umeabot> 2.8.12-28.mga8
+ Revision: 1527488
- Mageia 8 Mass Rebuild

* Wed Jul 17 2019 wally <wally> 2.8.12-27.mga8
+ Revision: 1422027
- properly install alternatives slave after upgrade

* Wed Jul 17 2019 wally <wally> 2.8.12-26.mga8
+ Revision: 1421992
- update alternatives system for wx-config and wxrc
- drop multiarch support

* Mon Jul 15 2019 wally <wally> 2.8.12-25.mga8
+ Revision: 1421644
- own wx-config and wxrc handled by alternatives system

* Sun Sep 23 2018 umeabot <umeabot> 2.8.12-24.mga7
+ Revision: 1301725
- Mageia 7 Mass Rebuild

* Mon Jun 18 2018 wally <wally> 2.8.12-23.mga7
+ Revision: 1237855
- add patch from Fedora to not abort when ABI check fails (mga#23192)

* Sun Jun 03 2018 wally <wally> 2.8.12-22.mga7
+ Revision: 1234099
- fix build on aarch64

* Sat Oct 07 2017 cjw <cjw> 2.8.12-21.mga7
+ Revision: 1169956
- remove unused buildrequires: pkgconfig(libgnomeprintui-2.2)

* Fri Oct 06 2017 daviddavid <daviddavid> 2.8.12-20.mga7
+ Revision: 1169600
- patch11: fix build with gcc7

* Sat Feb 18 2017 cjw <cjw> 2.8.12-19.mga6
+ Revision: 1086752
- do not build media library since it uses gstreamer0.10

* Wed Feb 17 2016 umeabot <umeabot> 2.8.12-18.mga6
+ Revision: 963285
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 shlomif <shlomif> 2.8.12-17.mga6
+ Revision: 879960
- Rebuild for the new gcc

* Wed Oct 15 2014 umeabot <umeabot> 2.8.12-16.mga5
+ Revision: 740739
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.8.12-15.mga5
+ Revision: 690383
- Mageia 5 Mass Rebuild

* Fri Feb 14 2014 wally <wally> 2.8.12-14.mga5
+ Revision: 591231
- drop wxgtk-devel provide which is also used in wxgtk3.0 devel pkg

* Tue Oct 22 2013 umeabot <umeabot> 2.8.12-13.mga4
+ Revision: 542360
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 wally <wally> 2.8.12-12.mga4
+ Revision: 497435
- add update-alternatives support for wx-config and wxrc
- add patch to make pkgs parallel installable with newer wxgtk (originally from Gentoo)
- drop unneeded translation file

* Sun Jun 02 2013 fwang <fwang> 2.8.12-11.mga4
+ Revision: 434699
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 2.8.12-10.mga3
+ Revision: 385897
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 24 2012 fwang <fwang> 2.8.12-9.mga3
+ Revision: 200605
- move to correct section
- fix wrong symlink
- drop old packages
- only build unicode flavour
- cleanup messed up multiarch programs

* Fri Jan 20 2012 fwang <fwang> 2.8.12-7.mga2
+ Revision: 198660
- do not promote permissive in cnfig
- drop permissive build, as it is default to off by upstream

* Fri Dec 23 2011 fwang <fwang> 2.8.12-6.mga2
+ Revision: 186478
- rebuild for new libtiff

* Tue Dec 13 2011 wally <wally> 2.8.12-5.mga2
+ Revision: 181328
- fix lib names
- fix and clean provides
- clean .spec a bit
- update configure options to fix build and to build more libs
- drop old conflicts
- clean and sort BRs

* Sun Sep 11 2011 fwang <fwang> 2.8.12-4.mga2
+ Revision: 142256
- rebuild for new libpng
+ ahmad <ahmad>
- Change the BR to pkgconfig BR style
- Drop redundant BR libGConf2-devel
- Don't promote LDFLAGS in wx-config (fwang)
- Build with --enable-catch_segvs. The only pro I could find for disabling it
  is that it interferes with ABRT support[1], since we don't have ABRT support
  (either proper integration in the distro nor server side (bugzilla)) we can
  enable it for the time being. This should (fix mga#2232).
  [1] http://comments.gmane.org/gmane.linux.redhat.fedora.devel/135119

* Tue Jun 21 2011 ahmad <ahmad> 2.8.12-1.mga2
+ Revision: 111191
- Update to 2.8.12
- fix linking, and drop _disable_ld_no_undefined
- disable rpath for the unicode build too

* Fri Feb 25 2011 ahmad <ahmad> 2.8.11-4.mga1
+ Revision: 59942
- add more BR (Fedora)
- configure with --disable-rpath (Fedora)

* Sun Jan 16 2011 ahmad <ahmad> 2.8.11-3.mga1
+ Revision: 19943
- imported package wxgtk2.8


* Sat Jan 01 2011 Funda Wang <fwang@mandriva.org> 2.8.11-3mdv2011.0
+ Revision: 626970
- tighten BR

* Fri Aug 13 2010 Götz Waschk <waschk@mandriva.org> 2.8.11-2mdv2011.0
+ Revision: 569378
- fix plugin directory for 64 bit
- use our optflags and enable no-strict-aliasing
- disable crash handler
- readd translations
- enable grid for Unicode version
- remove Mandriva linker flags from wx-config (bug #44936)
- spec file cleanup

* Mon Jul 26 2010 Götz Waschk <waschk@mandriva.org> 2.8.11-1mdv2011.0
+ Revision: 560863
- new version
- drop merged patches

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.8.10-6mdv2010.1
+ Revision: 488812
- rebuilt against libjpeg v8

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.8.10-5mdv2010.1
+ Revision: 488616
- P9: security fix for CVE-2009-3560
- P2: security fix related to CVE-2009-2625

* Sat Aug 22 2009 Oden Eriksson <oeriksson@mandriva.com> 2.8.10-3mdv2010.0
+ Revision: 419407
- try to build against system expat

* Mon Aug 17 2009 Oden Eriksson <oeriksson@mandriva.com> 2.8.10-2mdv2010.0
+ Revision: 417197
- fix build
- rebuilt against libjpeg v7

  + Funda Wang <fwang@mandriva.org>
    - sync whe fedora patches

* Mon May 04 2009 Götz Waschk <waschk@mandriva.org> 2.8.10-1mdv2010.0
+ Revision: 371660
- new version
- enable grid widget

* Mon Feb 23 2009 Götz Waschk <waschk@mandriva.org> 2.8.9-3mdv2009.1
+ Revision: 344037
- drop format string patch and disable werror

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.8.9-2mdv2009.1
+ Revision: 341481
- fix format strings
- update license
- enable graphics_ctx (bug #47892)

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 2.8.9-1mdv2009.1
+ Revision: 292755
- New version 2.8.9

  + Götz Waschk <waschk@mandriva.org>
    - fix license

* Thu Jul 10 2008 Oden Eriksson <oeriksson@mandriva.com> 2.8.8-1mdv2009.0
+ Revision: 233373
- 2.8.8
- fix linkage (-lX11)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Feb 07 2008 Götz Waschk <waschk@mandriva.org> 2.8.7-1mdv2008.1
+ Revision: 163590
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 09 2007 Götz Waschk <waschk@mandriva.org> 2.8.6-1mdv2008.1
+ Revision: 96165
- new version
- drop patch 0

  + Funda Wang <fwang@mandriva.org>
    - More clearly provides for develpackages

* Sun Jul 01 2007 Götz Waschk <waschk@mandriva.org> 2.8.4-3mdv2008.0
+ Revision: 46337
- fix wxgtku too (Pascal Terjan)

* Tue Jun 26 2007 Götz Waschk <waschk@mandriva.org> 2.8.4-2mdv2008.0
+ Revision: 44739
- fix for new gslice

* Tue May 22 2007 Götz Waschk <waschk@mandriva.org> 2.8.4-1mdv2008.0
+ Revision: 29866
- new version


* Thu Mar 22 2007 Götz Waschk <waschk@mandriva.org> 2.8.2-1mdv2007.1
+ Revision: 147908
- new version

* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 2.8.0-2mdv2007.1
+ Revision: 121674
- add more docs
- add the demos
- make the samples build easier
- clean conflicts

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 2.8.0-1mdv2007.1
+ Revision: 100497
- unpack patch
- Import wxgtk2.8

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 2.8.0-1mdv2007.1
- update file list
- drop patch 1
- add conflicts
- New version 2.8.0

* Wed Aug 16 2006 Götz Waschk <waschk@mandriva.org> 2.7.0-2mdv2007.0
- fix conflicts

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.7.0-1mdv2007.0
- new major
- drop patch 2
- rediff patches 1,8
- New release 2.7.0

* Tue Jun 27 2006 Götz Waschk <waschk@mandriva.org> 2.6.3-7mdv2007.0
- add another conflict

* Tue Jun 27 2006 Charles A Edwards <eslrahc@mandriva.org> 2.6.3-6mdv2007.0
- rebuild again for libpng

* Wed Jun 21 2006 Götz Waschk <waschk@mandriva.org> 2.6.3-5mdv2007.0
- add even more conflicts

* Mon Jun 19 2006 Stefan van der Eijk <stefan@eijk.nu> 2.6.3-1mdv2007.0
- rebuild for png

* Sun Jun 18 2006 Götz Waschk <waschk@mandriva.org> 2.6.3-3mdv2007.0
- add more conflicts
- fix buildrequires

* Wed Jun 14 2006 Oden Eriksson <oeriksson@mandriva.com> 2.6.3-2mdv2007.0
- fix deps

* Fri Mar 31 2006 Götz Waschk <waschk@mandriva.org> 2.6.3-1mdk
- drop patch 3
- New release 2.6.3

* Thu Oct 20 2005 Götz Waschk <waschk@mandriva.org> 2.6.2-2mdk
- fix crash in the unicode version

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 2.6.2-1mdk
- update file list
- New release 2.6.2

* Sat Jun 18 2005 Götz Waschk <waschk@mandriva.org> 2.6.1-1mdk
- New release 2.6.1

* Fri Jun 10 2005 Götz Waschk <waschk@mandriva.org> 2.6.0-4mdk
- backport support

* Sat May 07 2005 Götz Waschk <waschk@mandriva.org> 2.6.0-3mdk
- fix devel provides (neoclust)

* Sat Apr 30 2005 Götz Waschk <waschk@mandriva.org> 2.6.0-2mdk
- fix buildrequires
- add unicode build

* Tue Apr 26 2005 Götz Waschk <waschk@mandriva.org> 2.6.0-1mdk
- update buildrequires
- enable sdl
- rediff patch 8
- drop patches 3,4,5,6,7,9
- New release 2.6.0

* Sun Feb 20 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.5.3-6mdk
- Patch9: fix configure check for va_copy

* Mon Feb 07 2005 Götz Waschk <waschk@linux-mandrake.com> 2.5.3-5mdk
- fix wx-config script for the multiarch mess

* Fri Feb 04 2005 Götz Waschk <waschk@linux-mandrake.com> 2.5.3-4mdk
- fix multiarch config mess

* Mon Jan 31 2005 Pascal Terjan <pterjan@mandrake.org> 2.5.3-3mdk
- Add multiarch devel support

* Fri Jan 07 2005 Pascal Terjan <pterjan@mandrake.org> 2.5.3-2mdk
- MDKSA-2005:002

* Tue Nov 09 2004 Götz Waschk <waschk@linux-mandrake.com> 2.5.3-1mdk
- fix file list
- new major
- rediff patches 1,2
- drop patch 0
- New release 2.5.3

* Fri Jul 09 2004 Götz Waschk <waschk@linux-mandrake.com> 2.5.1-5mdk
- lib64 fix
- fix devel package group

* Tue Jun 08 2004 Götz Waschk <waschk@linux-mandrake.com> 2.5.1-4mdk
- patch for new g++

* Sat Apr 10 2004 Götz Waschk <waschk@linux-mandrake.com> 2.5.1-3mdk
- fix compatibility with gtk+ 2.4

* Fri Apr 09 2004 Götz Waschk <waschk@linux-mandrake.com> 2.5.1-2mdk
- don't provide wxGTK2.5 in the library package

* Fri Apr 09 2004 Götz Waschk <waschk@linux-mandrake.com> 2.5.1-1mdk
- fix name in the description
- add docs
- fix configure call
- use parallel make
- fix buildrequires
- add contribs
- fix major
- drop unused patch
- fix url
- new version

